package com.liangjian.dataplatform.member.service;

import com.liangjian.dataplatform.member.entity.po.primary.FeatureInfo;
import org.springframework.data.domain.Page;

/**
 * @Author: 黄子奇
 * @Date: 2019/9/23 18:00
 */
public interface IFeatureInfoService {
    Page<FeatureInfo> queryByNameLike(String name, Integer page, Integer size);

    FeatureInfo queryById(String id);

    boolean addFeaturesInfo(FeatureInfo featuresInfo);

    boolean saveFeaturesInfo(FeatureInfo featuresInfo);

    boolean deleteFeaturesInfo(String id);
}
